Bug 1378009 - Cannot update hostgroup via API/CLI
Summary: Cannot update hostgroup via API/CLI
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1374253
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-21 09:52 UTC by Stanislav Tkachenko
Modified: 2019-08-12 14:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-20 16:21:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
Tail of foreman/production.log (21.27 KB, text/plain)
2016-09-21 09:52 UTC, Stanislav Tkachenko
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16731 High Closed Cannot update hostgroup via API/CLI 2020-10-06 14:11:35 UTC

Description Stanislav Tkachenko 2016-09-21 09:52:14 UTC
Created attachment 1203200 [details]
Tail of foreman/production.log

Description of problem:
It is not possible to update HostGroup via API or CLI.
Looks like related to [1] / [2]
[1] https://bugzilla.redhat.com/show_bug.cgi?id=1374253
[2] http://projects.theforeman.org/issues/16484

Example:
> hammer> hostgroup create --name "test"
> Hostgroup created
> hammer> hostgroup update --name "test" --new-name "test2"
> Could not update the hostgroup:
>  ActiveModel::ForbiddenAttributesError

Version-Release number of selected component (if applicable):
Satellite 6.3.0-1.0

How reproducible:
Always

Steps to Reproduce:
1. Create new hostgroup
2. Update created HG via API or hammer, e.g. change HG name
3.

Actual results:
Error raised

Expected results:
HG should be updated

Additional info:
Environment info:
       OS: redhat
  RELEASE: Red Hat Enterprise Linux Server release 7.2 (Maipo)
  FOREMAN: 1.13.0-RC1
     RUBY: ruby 2.0.0p598 (2014-11-13) [x86_64-linux]
   PUPPET: 3.8.6
  DENIALS: 8
Installed packages:
* candlepin-0.9.54.7-1.el7.noarch
* candlepin-selinux-0.9.54.7-1.el7.noarch
* foreman-1.13.0-0.1.RC1.el7.noarch
* foreman-compute-1.13.0-0.1.RC1.el7.noarch
* foreman-debug-1.13.0-0.1.RC1.el7.noarch
* foreman-discovery-image-3.1.1-17.el7sat.noarch
* foreman-ec2-1.13.0-0.1.RC1.el7.noarch
* foreman-gce-1.13.0-0.1.RC1.el7.noarch
* foreman-installer-1.13.0-0.1.RC1.el7.noarch
* foreman-installer-katello-3.3.0-1.nightly.201609112202git531c92e.el7.noarch
* foreman-libvirt-1.13.0-0.1.RC1.el7.noarch
* foreman-openstack-1.13.0-0.1.RC1.el7.noarch
* foreman-ovirt-1.13.0-0.1.RC1.el7.noarch
* foreman-postgresql-1.13.0-0.1.RC1.el7.noarch
* foreman-proxy-1.13.0-0.1.RC1.el7.noarch
* foreman-rackspace-1.13.0-0.1.RC1.el7.noarch
* foreman-selinux-1.13.0-0.1.RC1.el7.noarch
* foreman-vmware-1.13.0-0.1.RC1.el7.noarch
* katello-3.2.0-2.nightly.el7.noarch
* katello-certs-tools-2.4.0-1.el7sat.noarch
* katello-client-bootstrap-1.1.0-2.el7sat.noarch
* katello-common-3.2.0-2.nightly.el7.noarch
* katello-debug-3.2.0-2.nightly.el7.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-3.3.0-1.nightly.201609112202git531c92e.el7.noarch
* katello-selinux-3.0.1.2-1.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.2.0-2.nightly.el7.noarch
* openldap-2.4.40-9.el7_2.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-2.0.3-1.el7.noarch
* pulp-katello-1.0.2-1.el7.noarch
* pulp-ostree-plugins-1.1.3-1.el7.noarch
* pulp-puppet-plugins-2.9.1-1.el7.noarch
* pulp-puppet-tools-2.9.1-1.el7.noarch
* pulp-rpm-plugins-2.9.1-1.el7.noarch
* pulp-selinux-2.9.1-1.el7.noarch
* pulp-server-2.9.1-1.el7.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.3-1.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-1.el7.noarch

Comment 3 Brad Buckingham 2016-09-27 20:55:20 UTC
Can I log in to the machine that has this issue to see if the patch from bug 1374253 has been applied?

Comment 4 Brad Buckingham 2016-09-28 15:04:13 UTC
This is actually a separate, but related issue to bug 1374253.  Moving it to assigned and working on a fix.

Comment 5 Brad Buckingham 2016-09-28 15:05:09 UTC
Created redmine issue http://projects.theforeman.org/issues/16731 from this bug

Comment 6 Brad Buckingham 2016-09-28 15:12:05 UTC
Upstream katello PR : https://github.com/Katello/katello/pull/6356

Comment 10 Stanislav Tkachenko 2016-10-03 20:41:58 UTC
Failed on Satellite 6.3.0 Snap 3.0
> hammer> hostgroup update --name test1 --new-name test2
> Could not update the hostgroup:
>  ActiveModel::ForbiddenAttributesError

Comment 11 Bryan Kearney 2017-03-20 16:21:47 UTC
This bug has an upstream issue. When this issue is resolved, it will be included in the next Satellite release. We will no longer be tracking this downstream. If you feel this should not have been closed, please feel free to re-open with additional details.


Note You need to log in before you can comment on or make changes to this bug.